<?php
require_once('../classes/body.class.php');
require_once('../classes/db.class.php');
require_once('../classes/system.class.php');
$title= new Body;
$title->SetTitle(homeurl.' - Покупка рекламы');
define('MT', microtime(true));

switch($act = isset($_GET['act']) ? $_GET['act'] : '') {
    case 'result':
        if (! empty($_POST)) {
            if ($_POST['LMI_PREREQUEST'] == 1) {
                if (! file_exists(ADV_FOLDER . '/' . $_POST['IDENTIFY'] . '-wait.dat')) {
                    exit('ERR: Заявка не создана');
                } else {
                    $order = file_get_contents(ADV_FOLDER . '/' . $_POST['IDENTIFY'] . '-wait.dat');
                    $e = explode(';', $order);
                }
                if ($e[0] != $_POST['LMI_PAYMENT_AMOUNT'])
                    exit('ERR: Неверная сумма ' . $_POST['LMI_PAYMENT_AMOUNT']);
                if ($_POST['LMI_PAYEE_PURSE'] != WEBMONEY_PURSE)
                    exit('ERR: Неверный кошелек получателя ' . $_POST['LMI_PAYEE_PURSE']);
                echo 'YES';
            } else {
                $common_string = $_POST['LMI_PAYEE_PURSE'].$_POST['LMI_PAYMENT_AMOUNT'].$_POST['LMI_PAYMENT_NO'].
                                 $_POST['LMI_MODE'].$_POST['LMI_SYS_INVS_NO'].$_POST['LMI_SYS_TRANS_NO'].
                                 $_POST['LMI_SYS_TRANS_DATE'].WEBMONEY_SECRETKEY.$_POST['LMI_PAYER_PURSE'].$_POST['LMI_PAYER_WM'];
                $hash = strtoupper(hash('sha256', $common_string));
                if ($hash != $_POST['LMI_HASH'])
                    exit;
                rename(ADV_FOLDER . '/' . $_POST['IDENTIFY'] . '-wait.dat', ADV_FOLDER . '/' . $_POST['IDENTIFY'] . '-paid.dat');
            }
        }
        break;

    case 'success':
        
$title->GetHeader();
bill('Куплено рекламное место!');
echo'<div class="tile"><div class="t-header th-alt bg-teal"><div class="th-title"><i class="zmdi zmdi-widgets"></i><a href="/"style="text-decoration:none; color:white;"> Главная</a> :: <a href="/ads"style="text-decoration:none; color:white;">Реклама</a> :: Завершение покупки</div></div></div>';
echo '<div class="alert alert-success"role="alert">Оплата произведена успешно! Рекламная ссылка добавлена!</div>';
$title->GetMenu();
$title->GetFooter();
        break;

    case 'fail':
        unlink(ADV_FOLDER . '/' . $_POST['IDENTIFY'] . '-wait.dat');
$title->GetHeader();
echo'<div class="tile"><div class="t-header th-alt bg-teal"><div class="th-title"><i class="zmdi zmdi-widgets"></i><a href="/"style="text-decoration:none; color:white;"> Главная</a> :: <a href="/ads"style="text-decoration:none; color:white;">Реклама</a> :: Завершение покупки</div></div></div>';
echo '<div class="alert alert-danger"role="alert">Ошибка! Оплата не произведена. Рекламная ссылка не добавлена!</div>';
$title->GetMenu();
$title->GetFooter();
        break;
    default:
        header('Location: ' . URL);
        break;

}